%define		php_name	php%{?php_suffix}
%define		modname	fileinfo
%define		smodname	Fileinfo
%define		status		beta
Summary:	%{modname} - libmagic bindings
Summary(pl.UTF-8):	%{modname} - dowiązania biblioteki libmagic
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.4
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{smodname}-%{version}.tgz
# Source0-md5:	2854e749db157365c769cb9496f5586f
Patch0:		pecl-fileinfo-defaultdb.patch
URL:		http://pecl.php.net/package/Fileinfo/
BuildRequires:	%{php_name}-devel >= 4:5.0.4
BuildRequires:	libmagic-devel
BuildRequires:	rpmbuild(macros) >= 1.650
Provides:	php(fileinfo)
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows retrieval of information regarding vast majority
of file. This information may include dimensions, quality, length
etc...

Additionally it can also be used to retrieve the MIME type for a
particular file and for text files proper language encoding.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na uzyskanie wielu informacji na temat plików.
Informacje te uwzględniają między innymi rozmiar, jakość, długość itp.

Dodatkowo może być użyte do uzyskania typu MIME danego pliku, a dla
plików tekstowych - użytego kodowania.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{smodname}-%{version}/* .
%patch0 -p2

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS EXPERIMENTAL fileinfo.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Wed Oct 02 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-fileinfo.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 9f35bde
support building for multiple php versions

* Tue Nov 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3565de9
- release 8

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 50523c7
- release 7

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> b5f54b7
- release 6

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 3421b62
- release 5

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 71bdca3
- provide php(fileinfo); rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2ef6de7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9e505b1
- converted to UTF-8

* Fri Dec 29 2006 Elan Ruusamäe <glen@pld-linux.org> 4605219
- do not set magic db, use system defaults; rel 3

* Fri Dec 29 2006 Elan Ruusamäe <glen@pld-linux.org> 17cac5e
- do not set magic db, use system defaults

* Thu Dec 28 2006 Elan Ruusamäe <glen@pld-linux.org> abbd111
- use new php extension related macros

* Wed Dec 13 2006 Elan Ruusamäe <glen@pld-linux.org> 4f25fa7
- rel 2 (php 5.2.0)

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> e02748e
- outdated

* Mon Nov 27 2006 Adam Gołębiowski <adamg@pld-linux.org> bbd144e
- updated to 1.0.4

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 2baef9e
- BR rpmmacros for fixed %requires_php_extension

* Sat Dec 24 2005 Adam Gołębiowski <adamg@pld-linux.org> c0e69d6
- new

* Sat Dec 24 2005 Adam Gołębiowski <adamg@pld-linux.org> cd2e6e4
- updated to 1.0.1
- fix build on php5.1

* Sat Dec 24 2005 Elan Ruusamäe <glen@pld-linux.org> dfef02a
- rel 2 (rebuild with new php)

* Wed Nov 16 2005 Jakub Bogusz <qboosh@pld-linux.org> dbea4f6
- pl cosmetics

* Sat Nov 12 2005 Adam Gołębiowski <adamg@pld-linux.org> 436eae4
- updated to 1.0; release 1

